## ipvsadm 1.21release6

=== Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 #      ipvsadm - IP Virtual Server ADMinistration program
 #                for IPVS NetFilter Module in kernel 2.4
 #
-#      Version: $Id: Makefile,v 1.17 2002/03/25 12:44:38 wensong Exp $
+#      Version: $Id: Makefile,v 1.20.2.4 2003/05/21 03:01:57 wensong Exp $
 #
 #      Authors: Wensong Zhang <wensong@linux-vs.org>
 #               Peter Kese <peter.kese@ijs.si>
@@ -28,6 +28,7 @@
 VERSION	= $(shell cat VERSION)
 RELEASE	= 6
 SCHEDULERS = "$(shell cat SCHEDULERS)"
+PROGROOT = $(shell basename `pwd`)
 
 CC	= gcc
 CFLAGS	= -Wall -Wunused -Wstrict-prototypes -g -O2
@@ -48,9 +49,8 @@
 IP_VS_H_DEFINE = $(shell if [ ! -f ../ip_vs.h ]; then \
 	echo "-DHAVE_NET_IP_VS_H"; fi;)
 
+ifeq (,$(FORCE_GETOPT))
 LIB_SEARCH = /lib /usr/lib /usr/local/lib
-
-ifeq (,$(FORCE_GETOPT))
 POPT_LIB = $(shell for i in $(LIB_SEARCH); do \
   if [ -f $$i/libpopt.a ]; then \
     if nm $$i/libpopt.a | fgrep -q poptGetContext; then \
@@ -77,9 +77,8 @@
 		$(CC) $(CFLAGS) -o $@ $^ $(LIBS)
 
 install:        ipvsadm
-		strip ipvsadm
 		if [ ! -d $(SBIN) ]; then $(MKDIR) -p $(SBIN); fi
-		$(INSTALL) -m 0755 ipvsadm $(SBIN)
+		$(INSTALL) -m 0755 -s ipvsadm $(SBIN)
 		$(INSTALL) -m 0755 ipvsadm-save $(SBIN)
 		$(INSTALL) -m 0755 ipvsadm-restore $(SBIN)
 		[ -d $(MAN) ] || $(MKDIR) -p $(MAN)
@@ -96,17 +95,20 @@
 		find . -name '*.[ao]' -o -name "*~" -o -name "*.orig" \
 		  -o -name "*.rej" -o -name core | xargs rm -f
 
-distclean:	dist
+distclean:	clean
 
-dist:		clean
+dist:		distclean
 		sed -e "s/@@VERSION@@/$(VERSION)/g" \
 		    -e "s/@@RELEASE@@/$(RELEASE)/g" \
 		    < ipvsadm.spec.in > ipvsadm.spec
-		( cd .. ; tar czvf $(NAME)-$(VERSION).tar.gz \
-			--exclude CVS \
-			--exclude $(NAME)-$(VERSION).tar.gz \
-			ipvsadm ; \
-			mv $(NAME)-$(VERSION).tar.gz ipvsadm )
+		rm -f $(NAME)-$(VERSION)
+		ln -s . $(NAME)-$(VERSION)
+		tar czvf $(NAME)-$(VERSION).tar.gz			\
+		    --exclude CVS					\
+		    --exclude $(NAME)-$(VERSION)/$(NAME)-$(VERSION)	\
+		    --exclude $(NAME)-$(VERSION).tar.gz			\
+		    $(NAME)-$(VERSION)/*
+		rm -f $(NAME)-$(VERSION)
 
 rpm:		rpms
