## ipvsadm 1.24+1.21

=== Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 #      ipvsadm - IP Virtual Server ADMinistration program
 #                for IPVS NetFilter Module in kernel 2.4
 #
-#      Version: $Id: Makefile,v 1.20.2.4 2003/05/21 03:01:57 wensong Exp $
+#      Version: $Id: Makefile,v 1.20.2.11 2005/01/22 04:07:42 wensong Exp $
 #
 #      Authors: Wensong Zhang <wensong@linux-vs.org>
 #               Peter Kese <peter.kese@ijs.si>
@@ -22,29 +22,42 @@
 #                     :   Added autodetection of libpot
 #                     :   Added BUILD_ROOT support
 #      Wensong        :   Changed the OBJS according to detection
+#      Ratz           :   Fixed to use the correct CFLAGS on sparc64
 #
 
 NAME	= ipvsadm
 VERSION	= $(shell cat VERSION)
-RELEASE	= 6
+RELEASE	= 11
 SCHEDULERS = "$(shell cat SCHEDULERS)"
 PROGROOT = $(shell basename `pwd`)
+ARCH	= $(shell uname -m)
 
 CC	= gcc
-CFLAGS	= -Wall -Wunused -Wstrict-prototypes -g -O2
+ifeq "${ARCH}" "sparc64"
+    CFLAGS = -Wall -Wunused -Wstrict-prototypes -g -O2 -m64 -pipe -mcpu=ultrasparc -mcmodel=medlow
+else
+    CFLAGS = -Wall -Wunused -Wstrict-prototypes -g -O2
+endif
 SBIN    = $(BUILD_ROOT)/sbin
 MANDIR	= usr/man
 MAN	= $(BUILD_ROOT)/$(MANDIR)/man8
 INIT    = $(BUILD_ROOT)/etc/rc.d/init.d
 MKDIR   = mkdir
 INSTALL = install
-INCLUDE = -I/usr/src/linux/include -I.. -I.
+KERNELSOURCE = /usr/src/linux
+INCLUDE = -I$(KERNELSOURCE)/include -I.. -I.
 STATIC_LIBS = libipvs/libipvs.a
 
 
 #####################################
 # No servicable parts below this line
 
+RPMBUILD = $(shell				\
+	if [ -x /usr/bin/rpmbuild ]; then	\
+		echo "/usr/bin/rpmbuild";	\
+	else					\
+		echo "rpm";			\
+	fi )
 
 IP_VS_H_DEFINE = $(shell if [ ! -f ../ip_vs.h ]; then \
 	echo "-DHAVE_NET_IP_VS_H"; fi;)
@@ -90,7 +103,7 @@
 		fi
 
 clean:
-		rm -f ipvsadm $(NAME).spec $(NAME)-$(VERSION).tar.gz
+		rm -f ipvsadm $(NAME).spec $(NAME)-$(VERSION)*.tar.gz
 		rm -rf debian/tmp
 		find . -name '*.[ao]' -o -name "*~" -o -name "*.orig" \
 		  -o -name "*.rej" -o -name core | xargs rm -f
@@ -101,21 +114,24 @@
 		sed -e "s/@@VERSION@@/$(VERSION)/g" \
 		    -e "s/@@RELEASE@@/$(RELEASE)/g" \
 		    < ipvsadm.spec.in > ipvsadm.spec
-		rm -f $(NAME)-$(VERSION)
-		ln -s . $(NAME)-$(VERSION)
-		tar czvf $(NAME)-$(VERSION).tar.gz			\
+		rm -f $(NAME)-$(VERSION)-$(RELEASE)
+		ln -s . $(NAME)-$(VERSION)-$(RELEASE)
+		tar czvf $(NAME)-$(VERSION)-$(RELEASE).tar.gz		\
 		    --exclude CVS					\
-		    --exclude $(NAME)-$(VERSION)/$(NAME)-$(VERSION)	\
-		    --exclude $(NAME)-$(VERSION).tar.gz			\
-		    $(NAME)-$(VERSION)/*
-		rm -f $(NAME)-$(VERSION)
-
-rpm:		rpms
+		    --exclude $(NAME)-$(VERSION)-$(RELEASE)/$(NAME)-$(VERSION)-$(RELEASE)	\
+		    --exclude $(NAME)-$(VERSION)-$(RELEASE).tar.gz	\
+		    $(NAME)-$(VERSION)-$(RELEASE)/*
+		rm -f $(NAME)-$(VERSION)-$(RELEASE)
 
 rpms:		dist
-		cp $(NAME)-$(VERSION).tar.gz /usr/src/redhat/SOURCES/
+		cp $(NAME)-$(VERSION)-$(RELEASE).tar.gz /usr/src/redhat/SOURCES/
 		cp $(NAME).spec /usr/src/redhat/SPECS/
-		(cd /usr/src/redhat/SPECS/ ; rpm -ba $(NAME).spec)
+		(cd /usr/src/redhat/SPECS/ ; $(RPMBUILD) -ba $(NAME).spec)
+
+srpm:		dist
+		cp $(NAME)-$(VERSION)-$(RELEASE).tar.gz /usr/src/redhat/SOURCES/
+		cp $(NAME).spec /usr/src/redhat/SPECS/
+		(cd /usr/src/redhat/SPECS/ ; $(RPMBUILD) -bs $(NAME).spec)
 
 deb:		debs
