=== libipvs/Makefile ===

libipvs/libipvs.a: libipvs/libipvs.a(libipvs/libipvs.o)
