=== debian/changelog ===
ipvsadm (1:1.26-4) unstable; urgency=medium

  * Fix initscript for daemon mode (Closes: #649106) 

 -- Alexander Wirt <formorer@debian.org>  Tue, 07 Apr 2015 13:58:32 +0200

ipvsadm (1:1.26-3) unstable; urgency=medium

  * [8fe73cf] Move to quilt 3.0
  * [9ae82d1] wrap-and-sort
  * [d8b7ba7] Move to debhelper compat v9
  * [450ce1d] Remove obsolete dpatch patches
  * [86caa7e] Remove obsolete templates
  * [8c6fbd7] Bump standards version
  * [6972aa0] Add deps for libnl3
  * [9a354ee] Add syncid to default file (Closes: #649106)
  * [f57062e] Build against libnl3 (Closes: #653021)
  * [ebeed1d] Fix displayed nodes (Closes: #685495, #706680)
  * [c0e7408] Imported Debian patch 1:1.26-2
  * [25fb091] Revert "Imported Debian patch 1:1.26-2"
  * [be1c118] Fix build-deps
  * [41027f9] Bump standards version (no changes)
  * [d0c8111] Add a patch to support LDFLAGS in Makefile. This adds support for hardening.

 -- Alexander Wirt <formorer@debian.org>  Sat, 01 Mar 2014 23:36:46 +0100

ipvsadm (1:1.26-1) unstable; urgency=low

  * [084f2b6] Imported Upstream version 1.26
    - Fix display of active connections (Closes: #574587)
  * [3a0f1e2] Use source format 1.0
  * [d5ca6cd] Remove debconf configuration (Closes: #656652)
  * [c9ac6fd] Update NEWS entry
  * [4759bff] Update default file with new options
  * [ee63b63] Add support for specifying syncid in /etc/default/ipvsadm
    (Closes: #649106)
  * [6a47317] Cleanup upstream provided debian/files
  * [028471c] Update disabled message of initscript
  * fix runlevels of initscript (Closes: #582821)
  * [5481cda] Add ipvs and IPVS to description (Closes: #572315)
  * [8b71ffc] Apply patch for startup options of ipvsadm (Closes: #504001)

 -- Alexander Wirt <formorer@debian.org>  Wed, 22 Feb 2012 22:03:47 +0100

ipvsadm (1:1.25) unstable; urgency=low

  * New upstream version (Closes: #540423)
  * Fix pending l10n issues. Debconf translations:
  * Vietnamese (Clytie Siddall).  Closes: #513582
  * Spanish (Francisco Javier Cuadrado).  Closes: #529727
  * Arabic (Ossama M. Khayat).  Closes: #552384
  * Japanese (Hideki Yamane (Debian-JP)).  Closes: #553028

 -- Alexander Wirt <formorer@debian.org>  Sun, 08 Nov 2009 14:16:20 +0100

ipvsadm (1:1.24-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix pending l10n issues. Debconf translations:
    - Swedish. Closes: #491945

 -- Christian Perrier <bubulle@debian.org>  Tue, 21 Oct 2008 05:47:28 +0200

ipvsadm (1:1.24-2) unstable; urgency=low

  * Update german debconf translation (Closes: #485451)

 -- Alexander Wirt <formorer@debian.org>  Tue, 10 Jun 2008 08:47:02 +0200

ipvsadm (1:1.24-1) unstable; urgency=low

  * New maintainer 
  * Remove support for 2.2 and 2.4 kernels 
  * Move from cdbs to debhelper 
  * Make initscript LSB conform  (Closes: #466256) 
  * Bump standards version
  * Don't mark default as translateable
  * Don't limit names of interfaces. This is useless in days where interfaces
    can be renamed and so on. (Closes: #298375)
  * Remove bashism in postinst (Closes: #411253) 
  * Fix /etc/init.d/ipvsadm stop (Closes: #296668)
  * Don't use a shellwrapper anymore for ipvsadm (Closes: #402207)
  * Disable autosaving of rules (see NEWS.Debian) (Closes: #337207, #275986)
  * Use consistent versioning (Closes: #402728)
  * 
  * Allow daemon to be in master and backup mode simultaneously 
    (Closes: #401013)
  * After translation round update translations. 
    (Closes: #473717, #473723, #473789, #473887, #474359, #474376, #474437)
    alse Closes: #475307, #476791, #477820, #480206

 -- Alexander Wirt <formorer@debian.org>  Sun, 30 Mar 2008 15:15:17 +0200

ipvsadm (1.24+1.21-1.4) unstable; urgency=high
  
  * Non-maintainer upload.

  [ Pierre Habouzit ]
  * Move ipvs detection into the postinst, so that we can rely on the ipvsadm
    tool, guard that call to avoid any problems. (Closes: #408245).

  [ Mohammed Adnène Trojette ]
  * High urgency for RC bug fixing.
  * Update FSF address in debian/copyright.

 -- Mohammed Adnène Trojette <adn+deb@diwi.org>  Tue, 13 Feb 2007 19:12:11 +0100

ipvsadm (1.24+1.21-1.3) unstable; urgency=low

  * Non-maintainer upload
    - Run ipvsadm before checking for /proc/net/ip_vs_conn
      to avoid falsely reporting that ipvs is unavailable when
      it is built as a module
      (closes: 329482)

 -- Simon Horman <horms@debian.org>  Thu, 30 Nov 2006 15:45:51 +0900

ipvsadm (1.24+1.21-1.2) unstable; urgency=low

  * Non-maintainer upload to fix pending l10n-related issues
  * Depend on debconf | debconf-2.0 to allow the cdebconf transition
    Closes: #331864
  * Updated debconf tranlations:
    - Vietnamese. Closes: #312032
    - Updated Brazilian Portuguese. Closes: #295103
    - Added Dutch. Closes: #295665
    - Added Czech. Closes: #316998, #317002
    - Added Swedish. Closes: #336737
    - Added Polish. Sent during the NMU campaign.
    - Added Italian. Sent during the NMU campaign.
    - Added Russian. Sent during the NMU campaign.
    - Added Norwegian Bokmål. Sent during the NMU campaign.
      Closes: #396103

 -- Christian Perrier <bubulle@debian.org>  Tue, 17 Oct 2006 09:04:57 +0200

ipvsadm (1.24+1.21-1.1) unstable; urgency=low

  * Non-maintainer upload as requested by Joerg Wendland
  * Remove bogus check for ip_vs proc file, which
    typically won't exist on systems with a modular kernel.
    (closes: Bug#329482)

 -- Simon Horman <horms@debian.org>  Sat, 24 Sep 2005 14:45:53 +0900

ipvsadm (1.24+1.21-1) unstable; urgency=low

  * Pack upstream version 1.24 (for 2.6 kernels), 1.21 (for 2.4 kernels) 
    and 1.21-11 (for kernels >= 2.4.29) together and provide a wrapper 
    script that chooses the correct binary to run depending on the kernel 
    version.
    (closes: Bug#270774)
  * Include new french debconf translation.
    (closes: Bug#269105)

 -- Joerg Wendland <joergland@debian.org>  Tue,  8 Feb 2005 11:09:24 +0100

ipvsadm (1.24-1) unstable; urgency=low

  * New upstream version.
    (closes: Bug#240195)

