## ipvsadm 1.28

=== debian/changelog ===
ipvsadm (1:1.28-3) unstable; urgency=medium

  * Upload to unstable 

 -- Alexander Wirt <formorer@debian.org>  Tue, 23 Jun 2015 19:47:16 +0200

ipvsadm (1:1.28-2) experimental; urgency=medium

  * [2c4e022] Update watch file
  * [4c4c557] Add VCS header

 -- Alexander Wirt <formorer@debian.org>  Sat, 14 Feb 2015 06:41:14 +0100

ipvsadm (1:1.28-1) experimental; urgency=medium

  * [dfdf261] Imported Upstream version 1.28
    (Closes: #775930)
    - fix rule loading on i386 (Closes: #750549)

 -- Alexander Wirt <formorer@debian.org>  Wed, 11 Feb 2015 14:10:18 +0100
