=== debian/control ===
--- 
+++ 
@@ -2,7 +2,9 @@
 Section: net
 Priority: extra
 Maintainer: Alexander Wirt <formorer@debian.org>
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
+Vcs-Browser: https://github.com/formorer/pkg-ipvsadm
+Vcs-Git: https://github.com/formorer/pkg-ipvsadm.git
 Build-Depends: debhelper (>= 9),
                libnl-3-dev,
                libnl-genl-3-dev,
