=== debian/rules ===
#!/usr/bin/make -f
# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

CFLAGS +=  -DLIBIPVS_USE_NL

%:
	dh  $@

override_dh_auto_install::
 
override_dh_auto_clean:
	dh_auto_clean
	-rm debian/files
