## ipvsadm 1.29

=== debian/changelog ===
ipvsadm (1:1.29-1) unstable; urgency=medium

  * [b30c9aa] New upstream version 1.29
    (Closes: #903935)
  * [f33b1cc] Bump standards version
  * [06cf313] Priority extra is now optional
  * [28cd1fe] Bump to dh11
  * [776e7b4] package doesn't build with parallel
  * [a3d3994] Add gitlab-ci file
  * [b82b9b0] Add snapshot changelog
  * [c1c00d7] Add homepage field
  * [4af29a6] Remove trailing whitespace
  * [8cdf09c] I found even more whitespace
  * [8f39cde] Verify gpg sig on upstream tarball
  * [0e9779f] use specific GPL version in copyright
  * [07d28a4] Remove obsolete lintian override
  * [6a7e974] We don't use dpatch anymore, kick README.source
  * [98911a8] Add override file - we don't have a changelog
  * [aa1dc89] Fix syncid on daemon invocation (Closes: #649106, #788345, #808950)
  * [7695a4a] Add a patch to enhance weight parameter to INT_MAX.
    Thanks to Francois Lallart <fraff@free.fr> (Closes: #814348)

 -- Alexander Wirt <formorer@debian.org>  Sun, 05 Aug 2018 09:21:46 +0200
