=== debian/control ===
--- 
+++ 
@@ -1,11 +1,12 @@
 Source: ipvsadm
 Section: net
-Priority: extra
+Priority: optional
 Maintainer: Alexander Wirt <formorer@debian.org>
-Standards-Version: 3.9.6
+Standards-Version: 4.1.5
+Homepage: https://git.kernel.org/pub/scm/utils/kernel/ipvsadm/ipvsadm.git
 Vcs-Browser: https://github.com/formorer/pkg-ipvsadm
 Vcs-Git: https://github.com/formorer/pkg-ipvsadm.git
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 11),
                libnl-3-dev,
                libnl-genl-3-dev,
                libpopt-dev,
