=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/.gz$/.sign/ https://www.kernel.org/pub/linux/utils/kernel/ipvsadm/ipvsadm-(.*)\.tar\.gz
