## ipvsadm 1.31

=== debian/changelog ===
ipvsadm (1:1.31-5) unstable; urgency=medium

  * [f4e6960] d/patches: add numerical prefix to patch names
  * [38ef907] d/rules: allow parallel builds
  * [942cc97] d/.gitlab-ci.yml: remove unused CI config file
  * [2e3d293] d/p/03-fix-ambiguous-usage-error-message.patch:
    fix combination of `-M` and `-6`
  * [a1b0403] d/patches: all patches have been forwarded and applied upstream
  * [32aacdb] d/p/06-make-clean-fix.patch: don't remove spec-file
  * [b368d4c] d/gbp.conf: dch: remove `commit-msg`

 -- Jeremy Sowden <azazel@debian.org>  Sat, 18 Jan 2025 13:16:49 +0000

ipvsadm (1:1.31-4) unstable; urgency=medium

  * [9ccd025] d/patches: add patch to make sure libipvs.a is built before
    ipvsadm

 -- Jeremy Sowden <azazel@debian.org>  Sun, 24 Nov 2024 20:45:23 +0000

ipvsadm (1:1.31-3) unstable; urgency=medium

  * [6740cde] d/compat, d/control: remove d/compat and add a build-dep on
    `debhelper-compat = 13` to d/control
  * [374d59b] d/control: bump Standards-Version to 4.7.0
  * [d35b20a] d/control: set Rules-Requires-Root: no
  * [4d32da4] d/control: update Maintainer and add Uploaders to adopt the
    package for the Netfilter team
  * [6e8cfea] d/control: add ${misc:Pre-Depends} for invoke-rc.d in
    init-system-helpers
  * [3a56ff0] d/control: update VCS URL's
  * [35e9718] d/control: change architecture to `linux-any`
  * [4e5b31c] d/copyright: convert to DEP-5 format
  * [920b4fe] d/copyright: update copyright field for debian/*
  * [b9901d0] d/gbp.conf: default: set `debian-branch` to debian/sid
  * [3e3552b] d/gbp.conf: dch: set `id-length` to 7
  * [5f21e6e] d/gbp.conf: dch: set `commit-msg`
  * [5aed261] d/gbp.conf: default: set `pristine-tar` to True
  * [0712455] d/ipvsadm.manpages: run wrap-and-sort
  * [d154a71] d/ipvsadm.install, d/ipvsadm.service, d/ipvsadm-*: add a
    systemd service file (Closes: #1039239)
  * [cf418ca] d/p/cross.patch: add DEP-3 metadata
  * [b5564bc] d/p/limit-weight-to-int-max.patch: fix DEP-3 metadata
  * [4780601] d/p/fix-ambiguous-usage-error-message.patch: fix ambiguous
    usage error message (Closes: #610596)
  * [d066b67] d/p/fix-build-flags.patch, d/rules: patch Makefiles to
    support build-flags
  * [2058baf] d/rules: let dh manage build-flags
  * [36c9721] d/rules: enable hardening
  * [7bb8112] d/rules: pass HAVE_NL=1 to make to enable libnl support
  * [cc35b9c] d/rules: add support for the `terse` build option
  * [a17aaf3] d/watch: verify upstream signatures
  * [f675127] d/source/lintian-overrides: override
    "orig-tarball-missing-upstream-signature"
  * [9d28683] d/: add .gitignore
  * [0e458b8] d/: remove obsolete header file
  * [1410ea0] d/: remove duplicate docs file
  * [4b2e573] d/ipvsadm.init: fix formatting
  * [1005e81] d/ipvsadm.default: correct explanatory comments
  * [1cae5e5] d/ipvsadm.service: add /etc/default/ipvsadm as an
    EnvironmentFile
  * [b09787d] d/ipvsadm-flush, d/ipvsadm-load: obey `$AUTO` as defined in
    /etc/default/ipvsadm

 -- Jeremy Sowden <azazel@debian.org>  Sat, 25 May 2024 15:05:44 +0100

ipvsadm (1:1.31-2) unstable; urgency=medium

  * QA upload.

  [ Helmut Grohne ]
  * Orphan the package with Alexander's consent. Thanks for maintaining it.
  * Drop obsolete lsb-base dependency.
  * Use CPPFLAGS: Append them to CFLAGS.
  * cross.patch: Make pkg-config substitutable. (Closes: #901275)
  * Delete lintian overrides for tags issued anymore.
  * Transition pkg-config dependency to pkgconf.

  [ Chris Hofstaedtler ]
  * Install aliased files into /usr (DEP17 M2) (Closes: #1060204)

 -- Helmut Grohne <helmut@subdivi.de>  Fri, 24 May 2024 13:32:37 +0200

ipvsadm (1:1.31-1) unstable; urgency=medium

  * [950ed21] New upstream version 1.31
  * [e35ba70] Refresh patch
  * [5639279] Bump standards version

 -- Alexander Wirt <formorer@debian.org>  Sun, 05 Jan 2020 21:33:49 +0100
