=== debian/control ===
--- 
+++ 
@@ -1,21 +1,24 @@
 Source: ipvsadm
 Section: net
 Priority: optional
-Maintainer: Alexander Wirt <formorer@debian.org>
-Standards-Version: 4.1.5
+Maintainer: Debian Netfilter Packaging Team <team+pkg-netfilter-team@tracker.debian.org>
+Uploaders: Jeremy Sowden <azazel@debian.org>
+Standards-Version: 4.7.0
+Rules-Requires-Root: no
 Homepage: https://git.kernel.org/pub/scm/utils/kernel/ipvsadm/ipvsadm.git
-Vcs-Browser: https://github.com/formorer/pkg-ipvsadm
-Vcs-Git: https://github.com/formorer/pkg-ipvsadm.git
-Build-Depends: debhelper (>= 11),
+Vcs-Browser: https://salsa.debian.org/pkg-netfilter-team/pkg-ipvsadm
+Vcs-Git: https://salsa.debian.org/pkg-netfilter-team/pkg-ipvsadm.git
+Build-Depends: debhelper-compat (= 13),
                libnl-3-dev,
                libnl-genl-3-dev,
                libpopt-dev,
-               pkg-config,
+               pkgconf,
                po-debconf
 
 Package: ipvsadm
-Architecture: any
-Depends: lsb-base (>= 3.0-6), ${misc:Depends}, ${shlibs:Depends}
+Architecture: linux-any
+Pre-Depends: ${misc:Pre-Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Conflicts: lvs
 Replaces: lvs
 Suggests: heartbeat, keepalived, ldirectord
