=== debian/watch ===
version=4
opts="pgpsigurlmangle=s/@ARCHIVE_EXT@/.sign/,decompress" \
  https://www.kernel.org/pub/linux/utils/kernel/ipvsadm/ipvsadm-(.*)\.tar\.gz
